use cdtypes::types::{sector::*, time::Time};

pub fn create_xa_data_for_data(lba: usize, data: &[u8; Mode2Form1::DATA_SIZE]) -> Mode2Form1 {
    let mut sector = Mode2Form1::new();

    sector.header.set_time(Time::from_lba(lba));
    sector.sub_header.sub_mode.set_data();
    sector.data = *data;

    sector
}

pub fn create_xa_data_zero(lba: usize) -> Mode2Form1 {
    create_xa_data_for_data(lba, &[0u8; Mode2Form1::DATA_SIZE])
}